<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                        http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.4.xsd">

    <changeSet id="create_user" author="kirichenko.aleksandra">
        <createTable tableName="user">
            <column name="id" type="int" autoIncrement="true">
                <constraints primaryKey="true" primaryKeyName="PK_user" nullable="false" />
            </column>
            <column name="first_name" type="varchar(50)">
                <constraints nullable="false" />
            </column>
            <column name="last_name" type="varchar(50)" >
                <constraints nullable="false" />
            </column>
            <column name="age" type="int"/>
            <column name="city_id" type="int"/>
        </createTable>
    </changeSet>

    <changeSet id="create_city" author="kirichenko.aleksandra">
        <createTable tableName="city">
            <column name="id" type="int" autoIncrement="true">
                <constraints primaryKey="true" primaryKeyName="PK_city" nullable="false" />
            </column>
            <column name="name" type="varchar(50)">
                <constraints nullable="false" />
            </column>
            <column name="state" type="varchar(50)">
                <constraints nullable="false" />
            </column>
            <column name="population" type="int"/>
        </createTable>
    </changeSet>

    <changeSet id="add-fk-between-user-and-city" author="aleksandra.kirichenko">
        <addForeignKeyConstraint baseTableName="user" baseColumnNames="city_id" constraintName="FK_city_id" referencedTableName="city"
                                 referencedColumnNames="id" />
    </changeSet>


    <changeSet id="tag-1.0" author="kirichenko.aleksandra">
        <tagDatabase tag="1.0" />
    </changeSet>

</databaseChangeLog>